%define tarball xf86-video-qxl
%define moduledir %(pkg-config xorg-server --variable=moduledir )
%define driverdir	%{moduledir}/drivers

%define cvsdate xxxxxxx

Summary:   Xorg X11 qxl video driver
Name:      xorg-x11-drv-qxl
Version:   0.0.12
Release:   9%{?dist}
URL:       http://www.x.org
Source0:   http://xorg.freedesktop.org/releases/individual/driver/%{tarball}-%{version}.tar.bz2
Source1:   qxl.xinf
License: MIT
Group:     User Interface/X Hardware Support
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:    add-surfaces.patch
Patch1:	   add-compatibility.patch
Patch2:	   configure-crash.patch
Patch3:    oom-issues.patch
Patch4:	   readonly-surfaces.patch
Patch5:    tighter-damage.patch
Patch6:    vt-switching.patch

ExclusiveArch: %{ix86} x86_64

BuildRequires: pkgconfig
BuildRequires: xorg-x11-server-sdk >= 1.1.0-1
BuildRequires: glib2-devel

Requires:  xorg-x11-server-Xorg >= 1.1.0-1

%description
xorg-x11-qxl-drv is an X11 video driver for the QEMU QXL video
accelerator. This driver makes it possible to use Red Hat Enterprise
Linux 6 as a guest operating system under KVM and QEMU, using the
SPICE protocol.

%prep
%setup -q -n %{tarball}-%{version}
%patch0 -p1 -b .surface
%patch1 -p1 -b .compat
%patch2 -p1 -b .configure-crash
%patch3 -p1 -b .oom-issues
%patch4 -p1 -b .readonly-surfaces
%patch5 -p1 -b .tighter-damage
%patch6 -p1 -b .vt-switching

%build
%configure --disable-static
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases
install -m 0644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hwdata/videoaliases

# FIXME: Remove all libtool archives (*.la) from modules directory.  This
# should be fixed in upstream Makefile.am or whatever.
find $RPM_BUILD_ROOT -regex ".*\.la$" | xargs rm -f --

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{driverdir}/qxl_drv.so
%{_datadir}/hwdata/videoaliases/qxl.xinf

%changelog
* Mon Mar 21 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-8.el6
- Make %desc more descriptive. 
  Resolves: rhbz#684994

* Sun Mar 20 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-8.el6
- Update release.

* Sun Mar 20 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-7.el6
- Patch ("vt-switching") to make VT switching mostly work
  Related: rhbz:#680120

* Sun Mar 20 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-6.el6
- Patches ("tighter-damage") to speed up zoom rectangles
  Resolves: rhbz#552000

* Sun Mar 20 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-6.el6
- Patches ("readonly-surfaces", and "oom-issues") to avoid OOM issues
  Resolves: rhbz#680120

* Sun Mar 20 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-6.el6
- Patch to fix crash when called from X -configure. 
  Resolves: rhbz#680865

* Fri Feb 4 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-5.el6
- Add patch to support for rev 01 devices.

* Wed Jan 26 2011 Soren Sandmann <ssp@redhat.com> 0.0.12-4.el6
- Add surfaces patch 

* Sun Oct 17 2010 Hans de Goede <hdegoede@redhat.com> 0.0.12-3.el6
- Fix crash and vga font corruption when switching vc
  Resolves: rhbz#626508
- Add support for many more resolutions and enable resolutions > 1024x768
  without requiring an xorg.conf
  Resolves: rhbz#623652

* Tue Feb 9 2010 Soren Sandmann <ssp@redhat.com> 0.0.12-2.1.el6
- Remove a couple of obsolete asserts(). 

* Tue Feb 9 2010 Soren Sandmann <ssp@redhat.com> 0.0.12-1.1.el6
- Version 0.0.12

* Fri Jan 22 2010 Soren Sandmann <ssp@redhat.com> 0.0.8-1.1.el6
- Version 0.0.8

* Tue Feb 24 2009 Soren Sandmann <ssp@redhat.com> 0.0.1-1.1
- Initial package
